### Method

# Gimp ConfigWriter comment_mode

since: 2.4

#### Declaration [src]

    void
    gimp_config_writer_comment_mode (
      GimpConfigWriter* writer,
      gboolean enable
    )

#### Description [src]

This function toggles whether the `writer` should create commented or uncommented output. This feature is used to generate the system-wide installed gimprc that documents the default settings.

Since comments have to start at the beginning of a line, this function will insert a newline if necessary.

Available since: 2.4

#### Parameters

`enable`

  Type: `gboolean`

  `TRUE` to enable comment mode, `FALSE` to disable it.